## buici-clock 0.3.7

=== debian/changelog ===
buici-clock (0.3.7) frozen; urgency=low

  * Patched clock.cxx to fix a core dump (on non-Debian systems) that
    appears to be related to the resource management.
  * Rebuilt to fix the erroneous dependency on libstdc++2.8.

 -- Marc Singer <elf@netcom.com>  Tue, 17 Nov 1998 17:06:53 -0800

buici-clock (0.3.6) unstable; urgency=low

  * First debianized version of buici-clock.

 -- Marc Singer <elf@netcom.com>  Wed, 21 Oct 1998 15:35:51 -0700

Local variables:
mode: debian-changelog
End:
