=== debian/control ===
Source: buici-clock
Section: x11
Priority: optional
Maintainer: Marc Singer <elf@debian.org>
Standards-Version: 2.4.1.2

Package: buici-clock
Architecture: any
Depends: ${shlibs:Depends}
Description: attractive desktop clock
 As clocks go, Buici satisfies the basic need of representing the
 time accurately and attractively.  I wrote it when I began to use X
 as my primary desktop environment and wanted to have a decent
 looking clock on my desktop.  I loathe digital clocks. This release
 has limited configurability.  Successive releases will satisfy the
 need for configuring the face and for representing the date.
