## buici-clock 0.3.8

=== debian/changelog ===
buici-clock (0.3.8) frozen unstable; urgency=low

  * This patches the clock so it can be shipped with the now frozen
    potato. 
  * Fixed a contravariance violation related to const.
  * Rebuild to link with libstdc++2.9 for potato.

 -- Oscar Levi <elf@buici.com>  Wed, 12 Jan 2000 15:01:57 -0800
