=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: buici-clock
 Section: x11
 Priority: optional
-Maintainer: Marc Singer <elf@debian.org>
+Maintainer: Oscar Levi <elf@debian.org>
 Standards-Version: 2.4.1.2
 
 Package: buici-clock
