=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules						-*- Makefile -*-
-#   $Id: rules,v 1.14 1998/10/26 19:14:52 elf Exp $
+#   $Id: rules,v 1.16 2000/01/14 07:18:15 elf Exp $
 #
 # written by Marc Singer
 # 13 October 1998
@@ -18,7 +18,7 @@
 version=`cat .version`
 prefix=/usr/X11R6
 doc=/usr/doc
-RELEASE_PATH=${HOME}/release
+RELEASE_PATH=${HOME}/release/debian
 
 build:
 	$(checkdir)
@@ -47,7 +47,8 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN
 	install -d debian/tmp$(doc)/$(package)
-#	install -m 755 debian/{postinst,prerm} debian/tmp/DEBIAN
+	install -d debian/tmp/usr/lib/menu
+	install -m 755 debian/{postinst,postrm} debian/tmp/DEBIAN
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL='install' \
 		prefix=`pwd`/debian/tmp$(prefix) install
 #	gzip -9v debian/tmp$(prefix)/info/*
@@ -61,6 +62,8 @@
 	find debian/tmp$(prefix)/man -type f -exec gzip -9v \{\} \;
 		# Compress changelog files
 	gzip -9v debian/tmp$(doc)/$(package)/changelog{,.Debian}
+				# Install menu link
+	cp menu/$(package) debian/tmp/usr/lib/menu	
 	dpkg-shlibdeps $(package)
 	dpkg-gencontrol
 	chown -R root.root debian/tmp
@@ -81,8 +84,11 @@
 source: 
 	$(checkdir)
 	-rm -rf debian/$(package)-$(version)
-	cvs -Q export -rHEAD -d debian/$(package)-$(version) $(base)
-	cvs -Q export -rHEAD -d debian/$(package)-$(version)/xo xo
+	-rm -rf _source
+	cvs -Q export -rHEAD -d _source $(base)
+	mv _source debian/$(package)-$(version)
+	cvs -Q export -rHEAD -d _source xo
+	mv _source debian/$(package)-$(version)/xo
 	dpkg-source -b debian/$(package)-$(version)
 	-rm -rf debian/$(package)-$(version)
 	mv $(package)_*.dsc $(package)_*.tar.gz ..
@@ -96,6 +102,22 @@
 	cd debian/package/$(package)-$(version) ; dpkg-buildpackage -rsudo
 	sudo rm -rf debian/package/$(package)-$(version)
 
+# Perform the final staging before releasing the package to the debian
+# servers.  (elf target)
+
+.PHONY: prerelease
+prerelease:
+	dpkg-genchanges > ../$(package)_$(version).changes
+	if test -d ${RELEASE_PATH} ; then \
+	  mv ../$(package)_$(version)* ~/release/debian ;\
+	fi
+
+# Perform full release build, binary and source and prerelease so that
+# we're ready for upload.  (elf target)
+
+.PHONY: fullrelease
+fullrelease: binary source prerelease
+
 # Below here is fairly generic really
 
 binary:		binary-indep binary-arch
