## buici-clock 0.4.0

=== debian/changelog ===
buici-clock (0.4.0) unstable; urgency=low

  * Checks every hour for the timezone offset.  We'll know in the spring
    if it tracks DST changes properly. (closes: #117353)
  * Rolled revision because of the previous, bona-fide bug fix.

 -- Marc Singer <elf@buici.com>  Tue, 30 Oct 2001 20:52:29 -0800

buici-clock (0.3.15) unstable; urgency=low

  * Lintian changes.  Man page in the right place, correct install
    scripts.  Using all debhelper commands.  Lintian is now happy. 

 -- Marc Singer <elf@buici.com>  Thu, 06 Sep 2001 02:22:00 -0000

buici-clock (0.3.14) unstable; urgency=low

  * Dropped xbase-clients from build-depends.  

 -- Marc Singer <elf@buici.com>  Mon, 23 Jul 2001 01:11:00 -0000

buici-clock (0.3.13) unstable; urgency=low

  * Added more entries to the build-depends.  
  * Incremented version number twice to avoid conflict with the NMU.

 -- Marc Singer <elf@buici.com>  Sun, 22 Jul 2001 19:27:00 -0000

buici-clock (0.3.11) unstable; urgency=low

  * Changed the prerelease rule to correctly set file permissions.  

 -- Marc Singer <elf@buici.com>  Mon,  9 Apr 2001 22:09:59 -0700

buici-clock (0.3.10) testing unstable; urgency=low

  * Changed autoconf WRT time.h and sys/time.h.  This makes it build in
    potato and woody, bug #92346.

 -- Marc Singer <elf@buici.com>  Sat, 31 Mar 2001 13:20:39 -0800

buici-clock (0.3.9) testing unstable; urgency=low

  * Added build-depends for X libraries, but it doesn't work.  Hmm.  
  * Moved doc and man to share, bug #91398.
  
 -- Marc Singer <elf@buici.com>  Mon, 26 Mar 2001 16:32:33 -0800
