## buici-clock 0.4.2

=== debian/changelog ===
buici-clock (0.4.2) unstable; urgency=low

  * Upload to upgrade to new gcc compiler. 

 -- Marc Singer <elf@buici.com>  Wed, 20 Aug 2003 21:52:54 -0700

buici-clock (0.4.1) unstable; urgency=low

  * Reordered dependencies to make xlibs-dev the default xlibs library.
    (closes: #170242)
  * Configuring explicitly in the current directory.
  * Applied suggested patch to xo/Makefile.in.  (closes: #141442)

 -- Marc Singer <elf@buici.com>  Wed, 12 Feb 2003 10:05:10 -0800
