=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Marc Singer <elf@debian.org>
 Standards-Version: 3.5.6.0
-Build-Depends: debhelper (>= 3.0.40), xlib6g-dev (>= 3.3.6-11) | xlibs-dev, bison, flex
+Build-Depends: debhelper (>= 3.0.40), xlibs-dev | xlib6g-dev (>= 3.3.6-11), bison, flex
 
 Package: buici-clock
 Architecture: any
