=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 # debian/rules						-*- Makefile -*-
-#   $Id: rules,v 1.16 2000/01/14 07:18:15 elf Exp $
+#   $Id: rules,v 1.27 2001/09/06 23:11:18 elf Exp $
 #
 # written by Marc Singer
 # 13 October 1998
@@ -17,7 +17,7 @@
 base=buici
 version=`cat .version`
 prefix=/usr/X11R6
-doc=/usr/doc
+doc=/usr/share/doc
 RELEASE_PATH=${HOME}/release/debian
 
 build:
@@ -45,29 +45,20 @@
 binary-arch:	checkroot build build-release
 	$(checkdir)
 	-rm -rf debian/tmp
-	install -d debian/tmp/DEBIAN
-	install -d debian/tmp$(doc)/$(package)
-	install -d debian/tmp/usr/lib/menu
-	install -m 755 debian/{postinst,postrm} debian/tmp/DEBIAN
+	dh_clean
+	dh_installdirs
 	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL='install' \
 		prefix=`pwd`/debian/tmp$(prefix) install
-#	gzip -9v debian/tmp$(prefix)/info/*
-	cp debian/copyright debian/tmp$(doc)/$(package)/.
-	cp debian/changelog debian/tmp$(doc)/$(package)/changelog.Debian
-		# Give them the sources readme
-	cp ChangeLog debian/tmp$(doc)/$(package)/changelog
-		# Give them the customized README
+	dh_installmenu
+	dh_installdocs
+	dh_installdeb
 	mv $(package)-$(version).README debian/tmp$(doc)/$(package)/README
-		# Compress all man pages
-	find debian/tmp$(prefix)/man -type f -exec gzip -9v \{\} \;
-		# Compress changelog files
-	gzip -9v debian/tmp$(doc)/$(package)/changelog{,.Debian}
-				# Install menu link
-	cp menu/$(package) debian/tmp/usr/lib/menu	
-	dpkg-shlibdeps $(package)
-	dpkg-gencontrol
-	chown -R root.root debian/tmp
-	chmod -R g-ws debian/tmp
+	dh_installchangelogs
+	dh_compress
+	dh_strip
+	dh_shlibdeps
+	dh_gencontrol
+	dh_fixperms
 #	if test -d ${RELEASE_PATH} ; then \
 #	  dpkg --build debian/tmp ${RELEASE_PATH} ;\
 #	else \
@@ -91,6 +82,10 @@
 	mv _source debian/$(package)-$(version)/xo
 	dpkg-source -b debian/$(package)-$(version)
 	-rm -rf debian/$(package)-$(version)
+	mv $(package)_*.dsc _dsc
+	echo "" >> _dsc
+	gpg -a --clearsign --default-key elf --output $(package)_$(version).dsc _dsc
+	rm _dsc
 	mv $(package)_*.dsc $(package)_*.tar.gz ..
 
 .PHONY: package
@@ -107,8 +102,12 @@
 
 .PHONY: prerelease
 prerelease:
-	dpkg-genchanges > ../$(package)_$(version).changes
+	dpkg-genchanges > ../$(package)_$(version).changes.orig
+	echo "" >> ../$(package)_$(version).changes.orig
+	gpg -a --clearsign --default-key elf  --output ../$(package)_$(version).changes ../$(package)_$(version).changes.orig
+	rm ../$(package)_$(version).changes.orig
 	if test -d ${RELEASE_PATH} ; then \
+	  chmod 0644 ../$(package)_$(version)* ;\
 	  mv ../$(package)_$(version)* ~/release/debian ;\
 	fi
