## buici-clock 0.4.2build1

=== debian/changelog ===
buici-clock (0.4.2build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 08:22:48 +0000
