## buici-clock 0.4.5

=== debian/changelog ===
buici-clock (0.4.5) unstable; urgency=low

  * Autoconf fix required unstable version of autoconf.  This update also
    fixes:
  * Updating the control file.  Removing xlibs-dev dependency.
  * Updated the configure script to fix an error in the way that older
    autoconf's searched for X libraries and header.
  * Added SM and ICE libraries to the list of build-depends, libraries
    that the whiz-bang script missed.

 -- Marc Singer <elf@buici.com>  Tue, 17 Jan 2006 11:54:59 -0800

buici-clock (0.4.4) unstable; urgency=low

  * Rolled revision to propagate configure script change as well as:
  * Updating the control file.  Removing xlibs-dev dependency.
  * Updated the configure script to fix an error in the way that older
    autoconf's searched for X libraries and header.

 -- Marc Singer <elf@buici.com>  Mon, 16 Jan 2006 15:02:49 -0800

buici-clock (0.4.3) unstable; urgency=low

  * Updating the control file.  Removing xlibs-dev dependency.
  * Updated the configure script to fix an error in the way that older
    autoconf's searched for X libraries and header.

 -- Marc Singer <elf@buici.com>  Mon, 16 Jan 2006 14:27:24 -0800
