## buici-clock 0.4.6

=== debian/changelog ===
buici-clock (0.4.6) unstable; urgency=low

  * Moved the executable from /usr/X11R6 to /usr.

 -- Marc Singer <elf@buici.com>  Mon, 17 Apr 2006 08:23:19 -0700
