=== debian/rules ===
#!/usr/bin/make -f
# debian/rules						-*- Makefile -*-
#   $Id: rules,v 1.27 2001/09/06 23:11:18 elf Exp $
#
# written by Marc Singer
# 13 October 1998
#
# Copyright 1998 Marc Singer
#
# These rules provide the glue between Debian and this ${package}.
# The interesting target is binary which builds the binary package by
# configuring, compiling, and installing it in the debian/tmp
# directory and then invoking the Debian packaging tools.
#

package=buici-clock
base=buici
svnbase=file:///svn/tools/trunk/
version=`cat .version`
prefix=/usr
doc=/usr/share/doc
RELEASE_PATH=${HOME}/release/debian

build:
	dh_testdir
	./configure --prefix=$(prefix) || cat config.log
	$(MAKE)
# CFLAGS=-O2 LDFLAGS=
	touch build

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) CFLAGS=-O2 LDFLAGS=-s INSTALL='install' \
		DESTDIR=$(CURDIR)/debian/$(package) install

build-release: build
	$(MAKE) $(package).README

clean:
	dh_testdir
	dh_testroot
	-rm -f build
	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
	-rm -rf debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	build
	dh_testdir
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	build install build-release
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_installdocs $(package)-$(version).README
# dh_installdocs is a POS.  I have to remove README by hand.
#	-rm `find debian/$(package) -name README`
	dh_installmenu
	dh_installman # $(package).1
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: source
source:
	dh_testdir
	-rm -rf debian/$(package)-$(version)
	-rm -rf _source
	svn export $(svnbase)$(base) _source
	mv _source debian/$(package)-$(version)
	svn export $(svnbase)xo _source
	mv _source debian/$(package)-$(version)/xo
	dpkg-source -b debian/$(package)-$(version)
	-rm -rf debian/$(package)-$(version)
	mv $(package)_*.dsc _dsc
	echo "" >> _dsc
	gpg -a --clearsign --default-key elf --output $(package)_$(version).dsc _dsc
	rm _dsc
	mv $(package)_*.dsc $(package)_*.tar.gz ..

.PHONY: package
package:
	dh_testdir
	mkdir debian/package
	svn export $(svnbase)$(base) debian/package/$(package)-$(version)
	svn export $(svnbase)xo debian/package/$(package)-$(version)/xo
	cd debian/package/$(package)-$(version) ; dpkg-buildpackage -rsudo
	sudo rm -rf debian/package/$(package)-$(version)

# Perform the final staging before releasing the package to the debian
# servers.  (elf target)

.PHONY: prerelease
prerelease:
	dpkg-genchanges > ../$(package)_$(version).changes.orig
	echo "" >> ../$(package)_$(version).changes.orig
	gpg -a --clearsign --default-key elf  --output ../$(package)_$(version).changes ../$(package)_$(version).changes.orig
	rm ../$(package)_$(version).changes.orig
	if test -d ${RELEASE_PATH} ; then \
	  chmod 0644 ../$(package)_$(version)* ;\
	  mv ../$(package)_$(version)* ~/release/debian ;\
	fi

# Perform full release build, binary and source and prerelease so that
# we're ready for upload.  (elf target)

.PHONY: fullrelease
fullrelease: binary source prerelease

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean checkroot
