## buici-clock 0.4.6.0.1

=== debian/changelog ===
buici-clock (0.4.6.0.1) unstable; urgency=low

  * NMU
  * Version number munge to let this NMU have a higher version number than the
    0.4.6+b1 hppa bin-nmu in testing.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2006 20:33:48 -0400

buici-clock (0.4.6-0.2) unstable; urgency=low

  * NMU
  * Improve clean target slightly, to remove xo/libxo.a. Closes: #392734
    Also other generated files in xo/.

 -- Joey Hess <joeyh@debian.org>  Fri, 13 Oct 2006 13:56:49 -0400

buici-clock (0.4.6-0.1) unstable; urgency=low

  * NMU
  * Fix location of man page. Closes: #391695
  * Remove incorrect hardcoded path to program in menu file.
  * Add missing quotes in menu file.
  * Add a call to dh_clean in rules file. Still doesn't clean entirely
    correctly.

 -- Joey Hess <joeyh@debian.org>  Thu, 12 Oct 2006 15:41:01 -0400
