=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: x11
 Priority: optional
 Maintainer: Marc Singer <elf@debian.org>
-Standards-Version: 3.5.6.0
-Build-Depends: debhelper (>= 3.0.40), bison, flex, libx11-dev, libxext-dev, libice-dev, libsm-dev
+Standards-Version: 3.6.2
+Build-Depends: debhelper (>= 3.0.0), bison, flex, libx11-dev, libxext-dev, libice-dev, libsm-dev
 
 Package: buici-clock
 Architecture: any
