=== debian/rules ===
--- 
+++ 
@@ -44,7 +44,10 @@
 	dh_testroot
 	-rm -f build
 	-$(MAKE) -i distclean || $(MAKE) -f Makefile.in distclean
+	-$(MAKE) -C xo clean
 	-rm -rf debian/tmp debian/*~ debian/files* debian/substvars
+	dh_clean xo/libxo.a xo/Makefile xo/_version.h xo/config.cache \
+		xo/config.log xo/config.status xo/depend.m
 
 binary-indep:	build
 	dh_testdir
