## buici-clock 0.4.9.2

=== debian/changelog ===
buici-clock (0.4.9.2) unstable; urgency=low

  * Added pkg-config and libcairo to build dependencies.  Unclear how it
    ever built at all.
  * Changed menu to conform to recommended section for clocks. (Closes: #496094)
  * Verified that these NMUs are either incorporated or adequately covered
    by other changes to the package.  (Closes: #392675, #392821)

 -- Marc Singer <elf@buici.com>  Mon, 25 Jul 2011 19:38:19 +0000

buici-clock (0.4.9.1) unstable; urgency=low

  * Reordered link line for libxo.a s.t. libraries succeed
    objects. (Closes: # 634730)
  * Upgraded debian rules and compatibility.    
  * Removed libSM and libICE from link as no symbols from libraries were
    used.  Also removed from build dependencies.
  * Restored support for complete source archive on upload. (Closes: #635240)
  
 -- Marc Singer <elf@buici.com>  Mon, 25 Jul 2011 11:29:38 +0000

buici-clock (0.4.8) unstable; urgency=low

  * Revised Joey's changes to the build as to better clean up all
    build transients.
  * Removed decoration from the main clock window on use of a
    command-line switch.
  * Fixed an error in the application name parser.
  * Added command line switch to enable/disable the second hand.

 -- Marc Singer <elf@buici.com>  Sat, 23 Dec 2006 18:44:23 -0800
