=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@


# Helpers for assisted package building

dph-post-source-export:
# Import xo library directly into source archive.
	@[ ! -z "$(SOURCE)" -o ! -d "$(SOURCE)" ] \
	  || { echo "invalid or missing $$SOURCE" ; exit 1; } ; \
	xo= ; \
	[ ! -z "$$xo" -o ! -f "xo/ldisplay.cxx"    ] || xo=xo ; \
	[ ! -z "$$xo" -o ! -f "../xo/ldisplay.cxx" ] || xo=../xo ; \
	[ ! -z "$$xo" ] || { echo "no xo library found"; exit 1 ; } ; \
	( cd $$xo ; git archive --format=tar --prefix=xo/ HEAD ) \
	   | (cd "$(SOURCE)" ; tar xf -)

dph-%:
	@exit 0
