## buici-clock 0.4.9.4

=== debian/changelog ===
buici-clock (0.4.9.4) unstable; urgency=medium

  * Fixed source archive package build.  (Closes: #832295)
  * Resolves some lintian issues.

 -- Marc Singer <elf@debian.org>  Sat, 23 Jul 2016 17:25:31 -0700

buici-clock (0.4.9.3) unstable; urgency=low

  * Fixed type conversion error in XBM file for C++11 and GCC-6. (Closes:
    #811782)

 -- Marc Singer <elf@debian.org>  Wed, 13 Jul 2016 23:05:35 -0700
