## buici-clock 0.4.9.4build1

=== debian/changelog ===
buici-clock (0.4.9.4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:35:24 +0100
