## buici-clock 0.4.9.4+nmu1

=== debian/changelog ===
buici-clock (0.4.9.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #966882)
    - Remove rename and use res_y.hxx

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 14 Jan 2021 22:05:45 +0000
