## buici-clock 0.4.9.4+nmu2

=== debian/changelog ===
buici-clock (0.4.9.4+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix showSecondHand. (Closes: #907029)
    - Thanks Jason for the patch.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 29 Mar 2022 20:33:23 +0100
