## buici-clock 0.4.9.4.2021+git20210423.e6fed84+ds

=== debian/changelog ===
buici-clock (0.4.9.4.2021+git20210423.e6fed84+ds-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Latest upstream commit
  * Maintain package in Salvage team
    Closes: #1110757
  * Add Homepage
  * Package is not really a Debian native package (Add changes as quilt patches)
  * Add watch file
  * d/copyright:
      - DEP5
      - Files-Excluded: debian/
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Replace transitional package pkg-config by pkgconf in Build-Depends
    (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Trim trailing whitespace.
  * Use set -e rather than passing -e on the shebang-line.
  * Remove unnecessary debian/postinst

  [ Helmut Grohne ]
  * Enable cross building (Closes: #981264)

  [ Nicolas Schodet ]
  * Add autoconf-2.71.patch to update build for autoconf 2.71
  * Add myself as an uploader
  * Enable hardening
  * Update debian/copyright for packaging work
  * Add a source lintian override for transition from native to non-native
  * Add fix-dependencies.patch, fixing build dependencies (Closes: #1105267)
  * Mark patches as forwarded
  * Add git-buildpackage configuration (pristine-tar)
  * Install desktop file instead of menu file
  * Add fix-reproducible-build.patch

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Tue, 12 Aug 2025 07:14:02 +0200
