=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: buici-clock
 Section: x11
 Priority: optional
-Maintainer: Marc Singer <elf@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7), bison, flex, libx11-dev, libxext-dev, pkg-config, libcairo2-dev
+Maintainer: Package Salvaging Team <team+salvage@tracker.debian.org>
+Uploaders: Marc Singer <elf@debian.org>, Nicolas Schodet <nico@ni.fr.eu.org>
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), bison, flex, libx11-dev, libxext-dev, pkgconf, libcairo2-dev
+Vcs-Browser: https://salsa.debian.org/salvage-team/buici-clock
+Vcs-Git: https://salsa.debian.org/salvage-team/buici-clock.git
+Homepage: https://github.com/rosorio/buici-clock
 
 Package: buici-clock
 Architecture: any
