=== debian/watch ===
version=4

opts="mode=git,pretty=0.4.9.4.2021+git%cd.%h,repacksuffix=+ds" \
    https://github.com/rosorio/buici-clock.git HEAD
